import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取师傅列表
export function letterManagerList(data) {
  return request({
    url: `/letterManager/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function letterManagerListExport(data, name) {
  return postBlob({
    url: '/letterManager/list/export',
    data,
    name
  })
}

export function letterManagerAdd(data) {
  return request({
    url: '/letterManager/add',
    method: 'post',
    data: data
  })
}

export function letterManagerUpdate(data) {
  return request({
    url: '/letterManager/update',
    method: 'post',
    data: data
  })
}

export function letterManagerDetail(params) {
  return request({
    url: '/letterManager/detail',
    method: 'post',
    params: params
  })
}

export function letterManagerDel(params) {
  return request({
    url: '/letterManager/del',
    method: 'post',
    params: params
  })
}
